From: "Andreas Hüttel" <dilfridge@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: media-plugins/kipi-plugins/
Date: Sat, 2 Jul 2011 18:32:41 +0000 (UTC) [thread overview]
Message-ID: <a72a79b7477f1177ea9a16a5d15709cb7f0460b2.dilfridge@gentoo> (raw)
commit: a72a79b7477f1177ea9a16a5d15709cb7f0460b2
Author: Andreas K. Huettel (dilfridge) <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 2 18:01:09 2011 +0000
Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sat Jul 2 18:01:09 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=a72a79b7
[media-plugins/kipi-plugins] Version bump
(Portage version: 2.1.10.3/git/Linux x86_64, unsigned Manifest commit)
---
.../kipi-plugins/kipi-plugins-2.0.0_rc.ebuild | 93 ++++++++++++++++++++
1 files changed, 93 insertions(+), 0 deletions(-)
diff --git a/media-plugins/kipi-plugins/kipi-plugins-2.0.0_rc.ebuild b/media-plugins/kipi-plugins/kipi-plugins-2.0.0_rc.ebuild
new file mode 100644
index 0000000..0b17744
--- /dev/null
+++ b/media-plugins/kipi-plugins/kipi-plugins-2.0.0_rc.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+OPENGL_REQUIRED="optional"
+# KDE_LINGUAS="ar ast be bg ca ca@valencia cs da de el en_GB eo es et eu fi fr ga gl he hi hne hr hu is it ja km ko
+# lt lv mai ms nb nds nl nn oc pa pl pt pt_BR ro ru se sk sv th tr uk zh_CN zh_TW"
+
+inherit flag-o-matic kde4-base
+
+KDEGRAPHICS_MINIMAL="4.6.31"
+# please leave the weird number here for the moment
+
+MY_P="digikam-${PV/_/-}"
+
+DESCRIPTION="Plugins for the KDE Image Plugin Interface"
+HOMEPAGE="http://www.digikam.org/"
+SRC_URI="mirror://sourceforge/digikam/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2
+ handbook? ( FDL-1.2 )"
+KEYWORDS="~amd64 ~x86"
+SLOT="4"
+IUSE="cdr calendar crypt debug expoblending handbook +imagemagick ipod mjpeg redeyes scanner"
+
+DEPEND="
+ >=dev-libs/expat-2.0.1
+ >=dev-libs/libxml2-2.7
+ >=dev-libs/libxslt-1.1
+ dev-libs/qjson
+ >=kde-base/libkdcraw-${KDEGRAPHICS_MINIMAL}
+ >=kde-base/libkexiv2-${KDEGRAPHICS_MINIMAL}
+ >=media-libs/libkmap-${PV}
+ >=media-libs/libmediawiki-${PV}
+ $(add_kdebase_dep libkipi)
+ virtual/jpeg
+ media-libs/libpng
+ media-libs/tiff
+ calendar? ( $(add_kdebase_dep kdepimlibs) )
+ crypt? ( app-crypt/qca:2 )
+ ipod? (
+ media-libs/libgpod
+ x11-libs/gtk+:2
+ )
+ redeyes? ( media-libs/opencv )
+ scanner? (
+ >=kde-base/libksane-${KDEGRAPHICS_MINIMAL}
+ media-gfx/sane-backends
+ )
+"
+RDEPEND="${DEPEND}
+ cdr? ( app-cdr/k3b )
+ expoblending? ( media-gfx/hugin )
+ imagemagick? ( || ( media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick] ) )
+ mjpeg? ( media-video/mjpegtools )
+"
+
+S=${WORKDIR}/${MY_P}/extra/${PN}
+
+PATCHES=( "${FILESDIR}/${PN}-1.7.0-expoblending.patch" )
+
+src_prepare() {
+ mv "${WORKDIR}/${MY_P}/doc/${PN}" "${WORKDIR}/${MY_P}/extra/${PN}/doc" || die
+ if use handbook; then
+ echo "add_subdirectory( doc )" >> CMakeLists.txt
+ fi
+ kde4-base_src_prepare
+}
+
+src_configure() {
+ # Remove flags -floop-block -floop-interchange
+ # -floop-strip-mine due to bug #305443.
+ filter-flags -floop-block
+ filter-flags -floop-interchange
+ filter-flags -floop-strip-mine
+
+ mycmakeargs+=(
+ $(cmake-utils_use_with ipod GLIB2)
+ $(cmake-utils_use_with ipod GObject)
+ $(cmake-utils_use_with ipod Gdk)
+ $(cmake-utils_use_with ipod Gpod)
+ $(cmake-utils_use_with calendar KdepimLibs)
+ $(cmake-utils_use_with redeyes OpenCV)
+ $(cmake-utils_use_with opengl OpenGL)
+ $(cmake-utils_use_with crypt QCA2)
+ $(cmake-utils_use_with scanner Sane)
+ $(cmake-utils_use_enable expoblending)
+ )
+
+ kde4-base_src_configure
+}
next reply other threads:[~2011-07-02 18:32 UTC|newest]
Thread overview: 32+ messages / expand[flat|nested] mbox.gz Atom feed top
2011-07-02 18:32 Andreas Hüttel [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-05-08 18:04 [gentoo-commits] proj/kde:master commit in: media-plugins/kipi-plugins/ Andreas Sturmlechner
2019-02-17 11:11 Andreas Sturmlechner
2018-12-23 17:19 Andreas Sturmlechner
2017-09-06 18:50 Johannes Huber
2016-12-23 10:11 Johannes Huber
2016-11-26 16:17 Michael Palimaka
2016-10-20 18:57 Michael Palimaka
2016-10-20 18:57 Michael Palimaka
2016-10-20 18:57 Michael Palimaka
2016-09-21 16:52 Michael Palimaka
2016-08-10 17:27 Michael Palimaka
2016-08-10 15:36 Michael Palimaka
2016-07-10 11:03 Johannes Huber
2016-07-07 20:05 Michael Palimaka
2016-07-07 19:57 Michael Palimaka
2016-04-28 11:21 Johannes Huber
2016-04-12 17:56 Johannes Huber
2016-02-25 9:13 Michael Palimaka
2016-02-01 12:59 Michael Palimaka
2015-10-16 18:24 Michael Palimaka
2015-10-15 16:46 Michael Palimaka
2015-10-15 8:14 Michael Palimaka
2015-10-05 20:26 Manuel Rüger
2015-09-08 2:50 Michael Palimaka
2015-08-08 8:03 Johannes Huber
2015-08-08 7:54 Johannes Huber
2015-04-22 15:52 Michael Palimaka
2012-12-29 15:30 Andreas Hüttel
2012-11-12 23:57 Andreas Hüttel
2012-11-11 18:37 Andreas Hüttel
2011-06-03 21:18 Andreas Hüttel
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=a72a79b7477f1177ea9a16a5d15709cb7f0460b2.dilfridge@gentoo \
--to=dilfridge@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox